<?php

$dictionary['ecminvoiceouts_ecmpzdocuments'] = array (
	'table' => 'ecminvoiceouts_ecmpzdocuments',
	'fields' => array (
		array(
			'name' => 'id',
			'type' => 'varchar',
			'len'=>'36'
		),
		array(
			'name' => 'ecminvoiceout_id',
			'type' => 'varchar',
			'len' => '36',
		),
		array(
			'name' => 'pz_id',
			'type' => 'varchar',
			'len' => '36',
		),
		array (
			'name' => 'date_modified',
			'type' => 'datetime'
		),
		array(
			'name' => 'deleted',
			'type' => 'bool',
			'len' => '1',
			'default' => '0',
			'required' => true
		)
	),
	'indices' => array (
		array(
			'name' => 'ecminvoiceouts_ecmpzdocumentspk',
			'type' => 'primary',
			'fields' => array('id')
		),
		array(
			'name' => 'idx_ecmio_ecmpz_ecmio',
			'type' => 'index',
			'fields' => array('ecminvoiceout_id')
		),
		array(
			'name' => 'idx_ecmio_ecmpz_ecmpz',
			'type' => 'index',
			'fields' => array('pz_id')
		),
		array(
			'name' => 'idx_ecmio_doc',
			'type' => 'alternate_key',
			'fields' => array('ecminvoiceout_id','pz_id')
		)
	),
	'relationships' => array (
		'ecminvoiceouts_ecmpzdocuments' => array(
			'lhs_module' => 'EcmInvoiceOuts',
			'lhs_table' => 'ecminvoiceouts',
			'lhs_key' => 'id',
			'rhs_module' => 'EcmPzDocuments',
			'rhs_table' => 'ecmpzdocuments',
			'rhs_key' => 'id',
			'relationship_type' => 'many-to-many',
			'join_table' => 'ecminvoiceouts_ecmpzdocuments',
			'join_key_lhs' => 'ecminvoiceout_id',
			'join_key_rhs' => 'pz_id'
		)
	),
);


?>